%define name wattospm
%define svn_ver 49
%define release %mkrel 3

Summary:  Power manager gui
Name:    %{name}
Version: %{svn_ver}
Release: %{release}
Group:   Monitoring
URL:     http://code.google.com/p/wattospm/
Source0: http://wattospm.googlecode.com/svn/trunk/wattospm/%{name}-%{svn_ver}.tar.bz2
Patch:   wattospm.py.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
Requires: python >= 2.5
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: python-pyinotify
Requires: python-gobject
Requires: python-notify
Obsoletes: %name < %version

%description
WattOSPM is an easy to use gui to manage power saving settings.

%prep
%setup -q -n %{name}
%patch -p1

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/%_bindir
cp -a wattospm.py wattospm-daemon.py %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%{name}
cp -a *.png *.glade %buildroot/%_datadir/%{name}
mkdir -p %buildroot/%_sysconfdir/rc.d/init.d
cp -a wattospm-daemon %buildroot/%_sysconfdir/rc.d/init.d/
chmod 0755 %buildroot/%_sysconfdir/rc.d/init.d/wattospm-daemon
mkdir -p %buildroot/%_sysconfdir/%{name}
cp -a config.default config %buildroot/%_sysconfdir/%{name}
mkdir -p %buildroot/var/log/%{name}
 
# menu 
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=WattOSPM
Comment=Manage your power saving settings
Exec=%{name}.py
Icon=/usr/share/icons/large/monitoring_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;System;Monitor;X-MandrivaLinux-System-Monitoring;System;
EOF


%clean
rm -rf %buildroot


%post
chmod 777 /etc/wattospm
chmod 777 /etc/wattospm/config
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root)
%_sysconfdir/rc.d/init.d/wattospm-daemon
%config(noreplace) %_sysconfdir/%{name}
/var/log/%{name}
%_bindir/%{name}-daemon.py
%_bindir/%{name}.py
%_datadir/%{name}
%_datadir/applications/*.desktop

%changelog
* Tue Jun 01 2010 Texstar <texstar at gmail.com> 49-3pclos2010
- make daemon executable

* Fri May 28 2010 Texstar <texstar at gmail.com> 49-2pclos2010
- add missing dependency

* Fri Feb 12 2010 slick50 <lxgator@gmail.com> 49-1pclos2010
- initial pkg

